| Kea 3.0.2-git

cfg_http_header.h File Reference
`#include <cc/cfg_to_element.h>`
`#include <cc/data.h>`
`#include <cc/user_context.h>`
`#include <http/request.h>`
`#include <http/response.h>`
Include dependency graph for cfg_http_header.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::http::CfgHttpHeader
| Config HTTP header. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::http

## Typedefs
typedef std::vector< CfgHttpHeader > | isc::http::CfgHttpHeaders
| Collection of config HTTP headers.

## Functions
ElementPtr | isc::http::CfgHttpHeaderstoElement (const CfgHttpHeaders &headers)
| Unparse config HTTP headers.
template<typename HTTP_MSG>
void | isc::http::copyHttpHeaders (const CfgHttpHeaders &headers, const HTTP_MSG &message)
| Copy config HTTP headers to message.
CfgHttpHeaders | isc::http::parseCfgHttpHeaders (const isc::data::ConstElementPtr &config)
| Parse config HTTP headers.